%global commit 455f5ef60fbc2a36609c833c34ee260e989ae7a5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20250219

Name:           libparistraceroute
Version:        0.93
# Release:        0%%{?dist}.2sunshine
Release:        0.%{gitdate}.git%{shortcommit}%{?dist}.1sunshine
Summary:        A network diagnosis and measurement library

Group:          System Environment/Libraries
License:        LGPLv3
URL:            https://github.com/libparistraceroute/libparistraceroute
# Source0:        https://github.com/libparistraceroute/libparistraceroute/archive/v%%{version}.tar.gz#/%%{name}-%%{version}.tar.gz
Source0:        https://github.com/libparistraceroute/%{name}/archive/%{commit}.zip#/%{name}-%{commit}.zip

BuildRequires:  gcc
BuildRequires:  libtool, automake, autoconf

%description
libparistraceroute is a library written in C dedicated to active network
measurements.

%package devel
Group:          Development/Libraries
Summary:        A network diagnosis and measurement library - development files
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for programs using %{name}.

%package -n paris-traceroute
Summary:        Traces the route taken by packets over a network, using %{name}
Group:          Applications/Internet

%description -n paris-traceroute
paris-traceroute is an advanced implementation of traceroute
using %{name}, which correctly handles load balancing servers,
among other things.

%package -n paris-ping
Summary:        Measures the response time of a network host, using %{name}
Group:          Applications/Internet

%description -n paris-ping
paris-ping is a ping replacement using %{name}. Like the
standard ping tool, it measures the response time of a network host.

%prep
# %%setup -q
%setup -q -n %{name}-%{commit}

%build
./autogen.sh
%configure --enable-shared --disable-static
%make_build

%install
%make_install
# remove libtool artefact
rm %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%doc AUTHORS README.md TODO
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/paristraceroute

%files -n paris-traceroute
%{_bindir}/paris-traceroute
%{_mandir}/man1/paris-traceroute.1*

%files -n paris-ping
%{_bindir}/paris-ping


%changelog
* Tue May 06 2025 Moritz Barsnick <moritz+rpm@barsnick.net> 0.93-0.20250219.git455f5ef.1sunshine
- update to latest git snapshot

* Tue Oct 22 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 0.93-0.20190829.git6fb8f48.3sunshine
- update to latest git snapshot
- remove workaround to rename ping to paris-ping, it's upstream

* Wed Jul 18 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 0.93-0.2sunshine
- add BR: gcc
- add TODO to %%doc
- call ldconfig in %%post (via %%ldconfig_scriptlets)

* Wed May 30 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 0.93-0.1sunshine
- update to 0.93
- new URLs
- convert to the incremental libparistraceroute, which includes
  paris-traceroute and paris-ping
- use modern rpmbuild macros

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.92-7
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.92-3
- Man page path fixed (BZ #910640)

* Sun Oct 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.92-2
- Minor changes

* Fri Mar 30 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.92-1
- Initial package for Fedora
